Gemini 3.1 Pro
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
Gemini 3.1 Pro is the next iteration in the Gemini 3 series and builds on Gemini 3 Pro’s foundation with improved reasoning, behavior, and multimodal capabilities. It supports text, image, video, and audio inputs, retains the up to ~1,048,576-token context window and up to ~65,536 output tokens in preview, and adds finer control over reasoning depth with multiple thinking levels.
Capabilities
| Model | Release Date | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| gemini-3.1-pro-preview | Feb 19 2026 | Text, Image, Video, Audio, PDF | Text | 1,048,576 | $2.00/1M input (<=200k) $4.00/1M input (>200k) $12.00/1M output (<=200k) $18.00/1M output (>200k) |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "gemini-3.1-pro-preview",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="gemini-3.1-pro-preview", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "gemini-3.1-pro-preview",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
console.log(completion.choices[0].message)
When to Use
- Complex, high-stakes reasoning and planning
- Advanced coding and system design
- Deep multimodal analysis
- Long-context research and synthesis
- Agentic workflows that need maximum accuracy
References
- Gemini 3.1 Developer Guide
https://ai.google.dev/gemini-api/docs/gemini-3- Gemini Models (Gemini API)
https://ai.google.dev/gemini-api/docs/models- Gemini API Pricing
https://ai.google.dev/gemini-api/docs/pricing